{%- assign inputs = include.params -%}

{%- assign arrivalDate = inputs.arrivalDefaultDate -%}
{%- assign departureDate = inputs.departureDefaultDate -%}
<!--================ Widget ================-->
<!-- style="background: #fff" -->
<!--================ Content Section ================-->
<section class="availability milenia-section milenia-body--scheme-lightbrown">
  <form class="milenia-booking-form milenia-booking-form--style-1 milenia-booking-form--redirect">
    <div class="form-group">
      <div class="form-col form-col--arrival-date">
        <div class="form-control">
          <span>
            {%- assign arrivalDateTooltipStriped = inputs.arrivalDateTooltip | strip -%}
            <label for="booking-form-arrival-date">{{inputs.arrivalDataLabel}}</label>
            {%- unless arrivalDateTooltipStriped == '' -%}
            <span class="heissa-tooltip" data-tooltip="{{arrivalDateTooltipStriped}}" aria-describedby="monkeysan-tooltip-1"><i
                class="fas fa-question-circle heissa-icon-tooltip"></i></span>
            {%- endunless -%}
          </span>
          <span class="milenia-field-datepicker milenia-field-datepicker--style-1" {%- if inputs.customDate == false -%}
            data-delay="{{inputs.arrivalDateDelay}}" {%- endif -%}>
            <span class="milenia-field-datepicker-day">{{ arrivalDate | date: '%e' }}</span>
            <span class="milenia-field-datepicker-others">
              <span class="milenia-field-datepicker-month-year">{{ arrivalDate | date: '%B, %Y' }}</span>
              <span class="milenia-field-datepicker-dayname">{{ arrivalDate | date: '%A' }}</span>
            </span>
            <input type="text" name="booking-form-arrival-date" value="{{ arrivalDate | date: '%m/%d/%Y' }}"
              class="milenia-datepicker milenia-field-datepicker-invoker reset-suggestions"
              departure="booking-form-departure-date">
          </span>
        </div>
      </div>
      <div class="form-col form-col--departure-date">
        <div class="form-control">
          <span>
            {%- assign departureDateTooltipStriped = inputs.departureDateTooltip | strip -%}
            <label for="booking-form-departure-date">{{inputs.departureDataLabel}}</label>
            {%- unless departureDateTooltipStriped == '' -%}
            <span class="heissa-tooltip" data-tooltip="{{departureDateTooltipStriped}}" aria-describedby="monkeysan-tooltip-1"><i
                class="fas fa-question-circle heissa-icon-tooltip"></i></span>
            {%- endunless -%}
          </span>
          <span class="milenia-field-datepicker milenia-field-datepicker--style-1"
            {%- if inputs.customDate == false -%}
            data-delay="{{inputs.arrivalDateDelay | plus: inputs.defaultDuration}}" {%- endif -%}
          >
            <span class="milenia-field-datepicker-day">{{ departureDate | date: '%e' }}</span>
            <span class="milenia-field-datepicker-others">
              <span class="milenia-field-datepicker-month-year">{{ departureDate | date: '%B, %Y' }}</span>
              <span class="milenia-field-datepicker-dayname">{{ departureDate | date: '%A' }}</span>
            </span>
            <input type="text" name="booking-form-departure-date"
              value="{{ departureDate | date: '%m/%d/%Y' }}"
              class="milenia-datepicker milenia-field-datepicker-invoker reset-suggestions">
          </span>
        </div>
      </div>
      <div class="form-col form-col--adults">
        <div class="form-control">
          <span>
            {%- assign adultsCounterTooltipStriped = inputs.adultsCounterTooltip | strip -%}
            <label>{{inputs.adultsCounterLabel}}</label>
            {%- unless adultsCounterTooltipStriped == '' -%}
            <span class="heissa-tooltip" data-tooltip="{{adultsCounterTooltipStriped}}"
              aria-describedby="monkeysan-tooltip-1"><i class="fas fa-question-circle heissa-icon-tooltip"></i></span>
            {%- endunless -%}
          </span>
          <div class="milenia-field-counter">
            <div class="milenia-field-counter-value">{{inputs.adultsCounterDefaultValue}}</div>
            <input type="hidden" id="noOfAdults" name="booking-form-adults" value="{{inputs.adultsCounterDefaultValue}}" class="milenia-field-counter-target reset-suggestions">
            <button type="button"
              class="milenia-field-counter-control milenia-field-counter-control--decrease"></button>
            <button type="button"
              class="milenia-field-counter-control milenia-field-counter-control--increase"></button>
          </div>
        </div>
      </div>
      <div class="form-col form-col--children">
        <div class="form-control">
          <span>
            {%- assign childrenCounterTooltipStriped = inputs.childrenCounterTooltip | strip -%}
            <label>{{inputs.childrenCounterLabel}}</label>
            {%- unless childrenCounterTooltipStriped == '' -%}
            <span class="heissa-tooltip" data-tooltip="{{childrenCounterTooltipStriped}}"
              aria-describedby="monkeysan-tooltip-1"><i class="fas fa-question-circle heissa-icon-tooltip"></i></span>
            {%- endunless -%}
          </span>
          <div class="milenia-field-counter">
            <div class="milenia-field-counter-value">{{inputs.childrenCounterDefaultValue}}</div>
            <input type="hidden" id="noOfChildren" name="booking-form-children" value="{{inputs.childrenCounterDefaultValue}}" class="milenia-field-counter-target reset-suggestions">
            <button type="button"
              class="milenia-field-counter-control milenia-field-counter-control--decrease"></button>
            <button type="button"
              class="milenia-field-counter-control milenia-field-counter-control--increase"></button>
          </div>
        </div>
      </div>

      {%- if inputs.is_filter_rooms -%}
      <div class="form-col form-col--children">
        <div class="form-control">
            <label>{{inputs.roomsFilterLabel}}</label>
            {%- for room in site.data.roomsTypes.rooms -%}
                
            <input type="checkbox" name="checkbox-{{forloop.index}}" id="include{{room.type}}" checked="checked">
            <label for="include{{room.type}}" class="milenia-label-checkbox">Include {{room.type}} Rooms</label>
            
            {%- endfor -%}
            
          </div>
        </div>
      {%- endif -%}

<!--      <div class="form-col">-->
<!--          <div class="form-control">-->
<!--              <label>{{inputs.bathroomLabel}}</label>-->
<!--              <div class="milenia-custom-select milenia-custom-select&#45;&#45;bathroom">-->
<!--                <select data-default-text="{{inputs.bathroomNoSelectValue}}" name="booking-form-bathroom">-->
<!--                  <option value="no" selected hidden>{{inputs.bathroomNoSelectValue}}</option>-->
<!--                  <option value="private">Private</option>-->
<!--                  <option value="shared">Shared</option>-->
<!--                  <option value="any">Any</option>-->
<!--                </select>-->
<!--              </div>-->
<!--          </div>-->
<!--      </div>-->
      
      <div class="form-col form-col--action">
        <div class="form-control">
            <div id="book_btn_checkAvailability" class="milenia-btn milenia-btn--huge milenia-btn--scheme-primary"
              style="text-align: center">{{inputs.buttonLabel}}</div>
        </div>
      </div>
    </div>
  </form>
</section>
<!--================ End of Content Section ================-->
<!--================ End of Widget ================-->
